---
openapi: 3.0.3
info:
  title: Payment Initiation API
  description: |
    The payment initiation API is used by an initiating party to a debtor agent to provide a payment instruction to request movement of funds from the debtor account to a creditor account. The direct debit instruction is used by a creditor to request movement of funds from the debtor account to creditor account.

    `The API supports following functionalities:`

      * Credit Transfer Payment Initiation
      * Direct Debit Initiation

    ### Usage

    The payment initiation instruction contains customer credit transfer instructions. The API is used to exchange:
    * A single instance of a credit transfer initiation
    * Payment instructions that result in book transfers at the debtor agent or payments to another financial institution
    * Payment instructions that result in an electronic cash transfer to the creditor account
    * A single instance of a direct debit collection initiation

    `Error Responses`

    The API uses common HTTP status codes in the response header to indicate success or failure. Specific error code and description will be returned in the custom error schema.

    `Query Parameters`

    Each URL query parameter specifies an API query parameter that must be URL encoded.
  contact:
    name: Developer Hub
    url: https://developer.swift.com
    email: developer-support@swift.com
  license:
    name: API Restricted License
    url: https://developer.swift.com/api-license
  version: 0.0.8
servers:
- url: https://virtserver.swaggerhub.com/SWIFT-API/PaymentInitiation/0.0.8
  description: SwaggerHub API Auto Mocking
- url: https://api-test.swiftnet.sipn.swift.com/swift-payment-initiation-pilot/v1
  description: URL for Apigee (SDK consumer) Pilot.
- url: https://api.swiftnet.sipn.swift.com/swift-payment-initiation/v1
  description: URL for Apigee (SDK consumer) Live.
- url: https://sandbox.swift.com/swift-payment-initiation/v1
  description: URL for Sandbox Environment.
security:
- oauthBearerToken: []
- oAuth2: []
tags:
- name: Payment Initiation
paths:
  /payment-initiation-instructions:
    get:
      tags:
      - Payment Initiation
      summary: Get Payment Initiation Instructions.
      description: |
        Get all payment initiation instructions allows to retrieve all customer credit transfer initiations. If the number of results exceeds the default limit, the response will be paginated. The operation allows filtering the results based on the creation from date and creation to date. The result is filtered based on "creation_date_time". The endpoint will return an empty array when no resource is found.
      operationId: getPaymentInitiationInstructionSummary
      parameters:
      - name: X-Request-ID
        in: header
        description: Specify an unique end to end tracking request ID. The element will be populated by the SWIFT API gateway
        required: false
        style: simple
        explode: false
        schema:
          type: string
        x-requiredByAPIGateway: true
        x-requiredByServiceProvider: true
      - name: X-UserContext
        in: header
        description: Provides requester entitlement information to service provider. A JWT containing a claim representing the entitlements of the API consumer as defined at the SWIFT Identity Provider. This header is provided by the SWIFT API Gateway and is not required to be provided by the API consumer.
        required: false
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-ServiceProvider
        in: header
        description: Provides requester entitlement information to service provider. A JWT containing a claim representing the entitlements of the API consumer as defined at the SWIFT Identity Provider. This header is provided by the SWIFT API Gateway and is not required to be provided by the API consumer.
        required: false
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-BIC
        in: header
        description: Specify the BIC of the provider of the service. The identification will be used by the API Gateway to forward the request to service provider.
        required: true
        style: simple
        explode: false
        schema:
          type: string
        example: DEUTDEFF
      - name: end-to-end-identification
        in: query
        description: "Unique identification, as assigned by the initiating party, to unambiguously identify the transaction. The consumer of the API can filter the response using end to end identification when the \"uetr\" is not available."
        required: false
        style: form
        explode: true
        schema:
          maxLength: 35
          minLength: 1
          type: string
        example: ABC/ABC-13679/2021-01-20
      - name: creation-from-date
        in: query
        description: "The query parameter can use either a specific creation-from-date or date range in the form of creation-from-date and creation-to-date. The result will be filtered on creation_date_time. If a origin server do not support the time component, it can ignore the time component. Expressed in YYYY-MM-DD or YYYY-MM-DDTHH:MM:SS format. For example - 2021-04-01T12:01:01.000 or 2021-04-01T12:01:01"
        required: false
        style: form
        explode: true
        schema:
          $ref: '#/components/schemas/ISODateTime'
        example: 2022-05-30
      - name: creation-to-date
        in: query
        description: "The query parameter can use either a specific creation-from-date or date range in the form of creation-from-date and creation-to-date. For a specific date creation-to-date must not be provided. The result will be filtered on creation_date_time. If a origin server do not support the time component, it can ignore the time component. Expressed in YYYY-MM-DD or YYYY-MM-DDTHH:MM:SS format. For example - 2021-04-01T12:01:01.000 or 2021-04-01T12:01:01"
        required: false
        style: form
        explode: true
        schema:
          $ref: '#/components/schemas/ISODateTime'
        example: 2022-05-31
      - name: requested-execution-date
        in: query
        description: "Date and time at which the payment is executed and the cash is at the disposal of the credit account owner. The result will be filtered on requested_execution_date. If a origin server do not support the time component, it can ignore the time component. Expressed in YYYY-MM-DD or YYYY-MM-DDTHH:MM:SS format. For example - 2021-04-01T12:01:01.000 or 2021-04-01T12:01:01"
        required: false
        style: form
        explode: true
        schema:
          $ref: '#/components/schemas/ISODateTime'
        example: 2021-09-15
      - name: instructed-amount
        in: query
        description: |
          Specifies the amount as ordered in the payment initiation instruction before any deduction.
        required: false
        style: form
        explode: false
        schema:
          maxLength: 19
          pattern: "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
          type: string
        example: "1000000.00"
      - name: offset
        in: query
        description: "Specifies the offset / starting point in the list of all available items, starting from which results will be returned. The numeric offset identifies the page token, allowing users to advance to the next page in the collection. The value 0 (zero) identifies the first page of entry."
        required: false
        style: form
        explode: false
        schema:
          minimum: 0
          type: integer
          default: 0
        example: 0
      - name: limit
        in: query
        description: "The maximum number of items to return in a page. If unspecified, the default limit will be returned. If the limit specified is greater than the maximum permitted by the API, the API will return the maximum permitted limit. Each API should define *maximum and *default limit."
        required: false
        style: form
        explode: false
        schema:
          maximum: 100
          minimum: 1
          type: integer
          default: 25
        example: 25
      responses:
        "200":
          description: OK
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200'
              examples:
                Example-1:
                  $ref: '#/components/examples/GETPaymentInitiationResponseCollection'
                Example-0:
                  $ref: '#/components/examples/GETPaymentInitiationsResponseCollection-Raw'
        "400":
          description: Bad Request
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "401":
          description: Unauthorized
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "403":
          description: Forbidden
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "406":
          description: Not Acceptable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "413":
          description: URI Too Long
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "415":
          description: Unsupported Media Type
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "429":
          description: Too Many Requests
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "500":
          description: Internal Server Error
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "502":
          description: Bad Gateway
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "503":
          description: Service Unavailable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "504":
          description: Gateway Timeout
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        default:
          description: Internal Server Error
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
  /payment-initiation-instructions/{uetr}:
    get:
      tags:
      - Payment Initiation
      summary: Get Payment Initiation Instruction.
      description: Use this operation to retrieve a payment initiation instruction by ID (UETR).
      operationId: getPaymentInitiationInstruction
      parameters:
      - name: X-Request-ID
        in: header
        description: Specify an unique end to end tracking request ID. The element will be populated by the SWIFT API gateway
        required: false
        style: simple
        explode: false
        schema:
          type: string
        x-requiredByAPIGateway: true
        x-requiredByServiceProvider: true
      - name: X-UserContext
        in: header
        description: Provides requester entitlement information to service provider. A JWT containing a claim representing the entitlements of the API consumer as defined at the SWIFT Identity Provider. This header is provided by the SWIFT API Gateway and is not required to be provided by the API consumer.
        required: false
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-ServiceProvider
        in: header
        description: Provides requester entitlement information to service provider. A JWT containing a claim representing the entitlements of the API consumer as defined at the SWIFT Identity Provider. This header is provided by the SWIFT API Gateway and is not required to be provided by the API consumer.
        required: false
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-BIC
        in: header
        description: Specify the BIC of the provider of the service. The identification will be used by the API Gateway to forward the request to service provider.
        required: true
        style: simple
        explode: false
        schema:
          type: string
        example: DEUTDEFF
      - name: uetr
        in: path
        description: An RFC4122 UID used as a unique Payment Instruction Identifier.
        required: true
        style: simple
        explode: false
        schema:
          pattern: "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"
          type: string
          format: uuid
        example: 7dca010b-fc3b-496c-b8a4-36ffd78f674d
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentInitiationInstruction'
              examples:
                Example-1:
                  $ref: '#/components/examples/PaymentInitiationResponse-TreasuryPayment'
                Example-2:
                  $ref: '#/components/examples/PaymentInitiationResponse-IBAN'
                Example-3:
                  $ref: '#/components/examples/PaymentInitiationResponse-Proprietary'
                Example-4:
                  $ref: '#/components/examples/PaymentInitiationResponse-Unstructured-Remittance'
                Example-5:
                  $ref: '#/components/examples/PaymentInitiationResponse-Clearing-System-Identification'
                Example-0:
                  $ref: '#/components/examples/GETPaymentInitiationResponse-Raw'
        "400":
          description: Bad Request
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "401":
          description: Unauthorized
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "403":
          description: Forbidden
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "404":
          description: Not Found
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "406":
          description: Not Acceptable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "415":
          description: Unsupported Media Type
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "429":
          description: Too Many Requests
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "500":
          description: Internal Server Error
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "502":
          description: Bad Gateway
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "503":
          description: Service Unavailable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "504":
          description: Gateway Timeout
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        default:
          description: Internal Server Error
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
    put:
      tags:
      - Payment Initiation
      summary: Create Payment Initiation Instruction.
      description: |
        Create a payment initiation instruction. The identifier of the instruction is "uetr". The request accept an instruction which will be validated and created. On successful creation, the instruction can be retrieved using the "uetr". The method is use to create a payment instruction as the consumer will supply the resource identifier (uetr) and the method is idempotent. This operation only supports creation of resource. The operation cannot be used to replace the resource once the resource is created.
      operationId: createPaymentInitiationInstruction
      parameters:
      - name: X-Request-ID
        in: header
        description: Specify an unique end to end tracking request ID. The element will be populated by the SWIFT API gateway
        required: false
        style: simple
        explode: false
        schema:
          type: string
        x-requiredByAPIGateway: true
        x-requiredByServiceProvider: true
      - name: X-SWIFT-Signature
        in: header
        description: |
          The information is needed to support non-repudiation. The application level signature produced based on asymmetric cryptography (see [JWS](https://tools.ietf.org/html/rfc7515)).
          The input data elements used to compute the signature are:
          * abs_path (see [RFC 2616](https://tools.ietf.org/html/rfc2616#section-3.2.2))
          * HTTP request body
          See [RFC 7519](https://tools.ietf.org/html/rfc7519)
          See [jwt.io](https://jwt.io)
        required: true
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-UserContext
        in: header
        description: Provides requester entitlement information to service provider. A JWT containing a claim representing the entitlements of the API consumer as defined at the SWIFT Identity Provider. This header is provided by the SWIFT API Gateway and is not required to be provided by the API consumer.
        required: false
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-ServiceProvider
        in: header
        description: Provides requester entitlement information to service provider. A JWT containing a claim representing the entitlements of the API consumer as defined at the SWIFT Identity Provider. This header is provided by the SWIFT API Gateway and is not required to be provided by the API consumer.
        required: false
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-BIC
        in: header
        description: Specify the BIC of the provider of the service. The identification will be used by the API Gateway to forward the request to service provider.
        required: true
        style: simple
        explode: false
        schema:
          type: string
        example: DEUTDEFF
      - name: uetr
        in: path
        description: An RFC4122 UID used as a unique Payment Instruction Identifier.
        required: true
        style: simple
        explode: false
        schema:
          pattern: "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"
          type: string
          format: uuid
        example: 7dca010b-fc3b-496c-b8a4-36ffd78f674d
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentInitiationInstruction'
            examples:
              Example-1:
                $ref: '#/components/examples/PaymentInitiationRequest-TreasuryPayment'
              Example-2:
                $ref: '#/components/examples/PaymentInitiationRequest-IBAN'
              Example-3:
                $ref: '#/components/examples/PaymentInitiationRequest-Proprietary'
              Example-4:
                $ref: '#/components/examples/PaymentInitiationRequest-Unstructured-Remittance'
              Example-5:
                $ref: '#/components/examples/PaymentInitiationRequest-Clearing-System-Identification'
              Example-0:
                $ref: '#/components/examples/PUTPaymentInitiationRequest-Raw'
        required: true
      responses:
        "202":
          description: Accepted
          headers:
            Location:
              $ref: '#/components/headers/Location'
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        "400":
          description: Bad Request
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "401":
          description: Unauthorized
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "403":
          description: Forbidden
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "404":
          description: Not Found
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "406":
          description: Not Acceptable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "415":
          description: Unsupported Media Type
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "429":
          description: Too Many Requests
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "500":
          description: Internal Server Error
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "503":
          description: Service Unavailable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "504":
          description: Gateway Timeout
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        default:
          description: Internal Server Error
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
  /direct-debit-initiation-instruction:
    get:
      tags:
      - Payment Initiation
      summary: Get Direct Debit Initiation Instruction.
      description: |
        Get all direct debit initiation instructions allows to retrieve all direct debit initiation instruction. If the number of results exceeds the default limit, the response will be paginated. The operation allows filtering the results based on the creation from date and creation to date. The result is filtered based on "creation_date_time". The endpoint will return an empty array when no resource is found.
      operationId: getDirectDebitInitiationInstructionSummary
      parameters:
      - name: X-Request-ID
        in: header
        description: Specify an unique end to end tracking request ID. The element will be populated by the SWIFT API gateway
        required: false
        style: simple
        explode: false
        schema:
          type: string
        x-requiredByAPIGateway: true
        x-requiredByServiceProvider: true
      - name: X-UserContext
        in: header
        description: Provides requester entitlement information to service provider. A JWT containing a claim representing the entitlements of the API consumer as defined at the SWIFT Identity Provider. This header is provided by the SWIFT API Gateway and is not required to be provided by the API consumer.
        required: false
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-ServiceProvider
        in: header
        description: Provides requester entitlement information to service provider. A JWT containing a claim representing the entitlements of the API consumer as defined at the SWIFT Identity Provider. This header is provided by the SWIFT API Gateway and is not required to be provided by the API consumer.
        required: false
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-BIC
        in: header
        description: Specify the BIC of the provider of the service. The identification will be used by the API Gateway to forward the request to service provider.
        required: true
        style: simple
        explode: false
        schema:
          type: string
        example: DEUTDEFF
      - name: end-to-end-identification
        in: query
        description: "Unique identification, as assigned by the initiating party, to unambiguously identify the transaction. The consumer of the API can filter the response using end to end identification when the \"uetr\" is not available."
        required: false
        style: form
        explode: true
        schema:
          maxLength: 35
          minLength: 1
          type: string
        example: ABC/ABC-13679/2021-01-20
      - name: creation-from-date
        in: query
        description: "The query parameter can use either a specific creation-from-date or date range in the form of creation-from-date and creation-to-date. The result will be filtered on creation_date_time. If a origin server do not support the time component, it can ignore the time component. Expressed in YYYY-MM-DD or YYYY-MM-DDTHH:MM:SS format. For example - 2021-04-01T12:01:01.000 or 2021-04-01T12:01:01"
        required: false
        style: form
        explode: true
        schema:
          $ref: '#/components/schemas/ISODateTime'
        example: 2022-05-30
      - name: creation-to-date
        in: query
        description: "The query parameter can use either a specific creation-from-date or date range in the form of creation-from-date and creation-to-date. For a specific date creation-to-date must not be provided. The result will be filtered on creation_date_time. If a origin server do not support the time component, it can ignore the time component. Expressed in YYYY-MM-DD or YYYY-MM-DDTHH:MM:SS format. For example - 2021-04-01T12:01:01.000 or 2021-04-01T12:01:01"
        required: false
        style: form
        explode: true
        schema:
          $ref: '#/components/schemas/ISODateTime'
        example: 2022-05-31
      - name: offset
        in: query
        description: "Specifies the offset / starting point in the list of all available items, starting from which results will be returned. The numeric offset identifies the page token, allowing users to advance to the next page in the collection. The value 0 (zero) identifies the first page of entry."
        required: false
        style: form
        explode: false
        schema:
          minimum: 0
          type: integer
          default: 0
        example: 0
      - name: limit
        in: query
        description: "The maximum number of items to return in a page. If unspecified, the default limit will be returned. If the limit specified is greater than the maximum permitted by the API, the API will return the maximum permitted limit. Each API should define *maximum and *default limit."
        required: false
        style: form
        explode: false
        schema:
          maximum: 100
          minimum: 1
          type: integer
          default: 25
        example: 25
      responses:
        "200":
          description: OK
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_1'
              examples:
                Example-1:
                  $ref: '#/components/examples/GETDirectDebitInitiationInstructionCollection'
                Example-0:
                  $ref: '#/components/examples/GETDirectDebitInitiationInstructionCollection-Raw'
        "400":
          description: Bad Request
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "401":
          description: Unauthorized
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "403":
          description: Forbidden
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "406":
          description: Not Acceptable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "413":
          description: URI Too Long
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "415":
          description: Unsupported Media Type
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "429":
          description: Too Many Requests
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "500":
          description: Internal Server Error
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "502":
          description: Bad Gateway
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "503":
          description: Service Unavailable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "504":
          description: Gateway Timeout
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        default:
          description: Internal Server Error
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
  /direct-debit-initiation-instruction/{uetr}:
    get:
      tags:
      - Payment Initiation
      summary: Get Direct Debit Initiation Instruction.
      description: Use this operation to retrieve a direct debit initiation instruction by ID (UETR).
      operationId: getDirectDebitInitiationInstruction
      parameters:
      - name: X-Request-ID
        in: header
        description: Specify an unique end to end tracking request ID. The element will be populated by the SWIFT API gateway
        required: false
        style: simple
        explode: false
        schema:
          type: string
        x-requiredByAPIGateway: true
        x-requiredByServiceProvider: true
      - name: X-UserContext
        in: header
        description: Provides requester entitlement information to service provider. A JWT containing a claim representing the entitlements of the API consumer as defined at the SWIFT Identity Provider. This header is provided by the SWIFT API Gateway and is not required to be provided by the API consumer.
        required: false
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-ServiceProvider
        in: header
        description: Provides requester entitlement information to service provider. A JWT containing a claim representing the entitlements of the API consumer as defined at the SWIFT Identity Provider. This header is provided by the SWIFT API Gateway and is not required to be provided by the API consumer.
        required: false
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-BIC
        in: header
        description: Specify the BIC of the provider of the service. The identification will be used by the API Gateway to forward the request to service provider.
        required: true
        style: simple
        explode: false
        schema:
          type: string
        example: DEUTDEFF
      - name: uetr
        in: path
        description: An RFC4122 UID used as a unique Payment Instruction Identifier.
        required: true
        style: simple
        explode: false
        schema:
          pattern: "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"
          type: string
          format: uuid
        example: 7dca010b-fc3b-496c-b8a4-36ffd78f674d
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DirectDebitInitiationInstruction'
              examples:
                Example-1:
                  $ref: '#/components/examples/GETDirectDebitInitiationInstruction'
                Example-0:
                  $ref: '#/components/examples/GETDirectDebitInitiationInstruction-Raw'
        "400":
          description: Bad Request
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "401":
          description: Unauthorized
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "403":
          description: Forbidden
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "404":
          description: Not Found
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "406":
          description: Not Acceptable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "415":
          description: Unsupported Media Type
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "429":
          description: Too Many Requests
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "500":
          description: Internal Server Error
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "502":
          description: Bad Gateway
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "503":
          description: Service Unavailable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "504":
          description: Gateway Timeout
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        default:
          description: Internal Server Error
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
    put:
      tags:
      - Payment Initiation
      summary: Create Direct Debit Initiation Instruction.
      description: |
        Payment, initiated by the creditor, to debit a debtor's account in favour of the creditor. The  Direct Debit Initiation Instruction is sent by the Creditor sending party to the Debtor receiving party, directly or through agents. It is used by a Creditor to request funds from the debtor account to a creditor.
      operationId: createDirectDebitInitiationInstruction
      parameters:
      - name: X-Request-ID
        in: header
        description: Specify an unique end to end tracking request ID. The element will be populated by the SWIFT API gateway
        required: false
        style: simple
        explode: false
        schema:
          type: string
        x-requiredByAPIGateway: true
        x-requiredByServiceProvider: true
      - name: X-SWIFT-Signature
        in: header
        description: |
          The information is needed to support non-repudiation. The application level signature produced based on asymmetric cryptography (see [JWS](https://tools.ietf.org/html/rfc7515)).
          The input data elements used to compute the signature are:
          * abs_path (see [RFC 2616](https://tools.ietf.org/html/rfc2616#section-3.2.2))
          * HTTP request body
          See [RFC 7519](https://tools.ietf.org/html/rfc7519)
          See [jwt.io](https://jwt.io)
        required: true
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-UserContext
        in: header
        description: Provides requester entitlement information to service provider. A JWT containing a claim representing the entitlements of the API consumer as defined at the SWIFT Identity Provider. This header is provided by the SWIFT API Gateway and is not required to be provided by the API consumer.
        required: false
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-ServiceProvider
        in: header
        description: Provides requester entitlement information to service provider. A JWT containing a claim representing the entitlements of the API consumer as defined at the SWIFT Identity Provider. This header is provided by the SWIFT API Gateway and is not required to be provided by the API consumer.
        required: false
        style: simple
        explode: false
        schema:
          type: string
        example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIiLCJuYW1lIjoiIiwiaWF0IjowfQ.u_kftAUkjiUZO-OhIyj24H7lOUk1wi9GUF-e14JmCtQ
      - name: X-BIC
        in: header
        description: Specify the BIC of the provider of the service. The identification will be used by the API Gateway to forward the request to service provider.
        required: true
        style: simple
        explode: false
        schema:
          type: string
        example: DEUTDEFF
      - name: uetr
        in: path
        description: An RFC4122 UID used as a unique Payment Instruction Identifier.
        required: true
        style: simple
        explode: false
        schema:
          pattern: "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"
          type: string
          format: uuid
        example: 7dca010b-fc3b-496c-b8a4-36ffd78f674d
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DirectDebitInitiationInstruction'
            examples:
              Example-1:
                $ref: '#/components/examples/PUTDirectDebitInitiationInstruction'
              Example-0:
                $ref: '#/components/examples/PUTDirectDebitInitiationInstruction-Raw'
        required: true
      responses:
        "202":
          description: Accepted
          headers:
            Location:
              $ref: '#/components/headers/Location'
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        "400":
          description: Bad Request
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "401":
          description: Unauthorized
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "403":
          description: Forbidden
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "404":
          description: Not Found
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "406":
          description: Not Acceptable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "429":
          description: Too Many Requests
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "500":
          description: Internal Server Error
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "503":
          description: Service Unavailable
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        "504":
          description: Gateway Timeout
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        default:
          description: Internal Server Error
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
components:
  schemas:
    AccountIdentificationChoice:
      title: AccountIdentification
      type: object
      additionalProperties: true
      description: Specifies the unique identification of an account as assigned by the account servicer.
      oneOf:
      - title: AccountIdentificationIBAN
        required:
        - iban
        type: object
        properties:
          iban:
            pattern: "^[A-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,30}$"
            type: string
            description: "International Bank Account Number (IBAN) - an identifier used internationally by financial institutions to uniquely identify the account of a customer. Further specifications of the format and content of the IBAN can be found in the standard ISO 13616 \"Banking and related financial services - International Bank Account Number (IBAN)\" version 1997-10-01, or later revisions."
            x-MXComponent: IBAN2007Identifier
            x-Validation: true
            x-ValidationType: Algorithmic
            x-Error: "ErrorCode:Sw.Stds.D00003, ErrorText:Invalid IBAN format or invalid check digits., SWIFTNetValidation:true, Severity:Fatal"
        additionalProperties: false
      - title: AccountIdentificationOther
        required:
        - other
        type: object
        properties:
          other:
            $ref: '#/components/schemas/GenericIdentification'
        additionalProperties: false
    AmountOrRateChoice:
      type: object
      additionalProperties: true
      description: Choice between an amount or a rate.
      oneOf:
      - required:
        - amount
        type: object
        properties:
          amount:
            $ref: '#/components/schemas/CurrencyAmount'
        additionalProperties: false
      - required:
        - rate
        type: object
        properties:
          rate:
            $ref: '#/components/schemas/PercentageRate'
        additionalProperties: false
    AmountTypeChoice:
      type: object
      additionalProperties: true
      description: "Specifies the amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party."
      oneOf:
      - required:
        - instructed_amount
        type: object
        properties:
          instructed_amount:
            $ref: '#/components/schemas/CurrencyAmount'
        additionalProperties: false
      - required:
        - equivalent_amount
        type: object
        properties:
          equivalent_amount:
            $ref: '#/components/schemas/EquivalentAmount'
        additionalProperties: false
    BaseOneRate:
      maxLength: 12
      type: string
      description: "Rate expressed as a decimal, for example, 0.7 is 7/10 and 70%."
    CashAccount:
      required:
      - identification
      type: object
      properties:
        identification:
          $ref: '#/components/schemas/AccountIdentificationChoice'
        type:
          $ref: '#/components/schemas/CashAccountTypeChoice'
        currency:
          pattern: "^[A-Z]{3,3}$"
          type: string
          description: |
            Identification of the currency in which the account is held. A code allocated to a currency by a Maintenance Agency under an international identification scheme, as described in the latest edition of the international standard ISO 4217 "Codes for the representation of currencies and funds".

            Usage: Currency should only be used in case one and the same account number covers several currencies and the initiating party needs to identify which currency needs to be used for settlement on the account.
          x-MXComponent: ActiveOrHistoricCurrencyCode
          x-Validation: true
          x-ValidationType: "Algorithmic, ReferenceData"
          x-Error: "ErrorCode:Sw.Stds.D00006, ErrorText:Invalid currency code., SWIFTNetValidation:true, Severity:Fatal"
        name:
          maxLength: 70
          minLength: 1
          type: string
          description: "Name of the account, as assigned by the account servicing institution, in agreement with the account owner in order to provide an additional means of identification of the account.  \nUsage: The account name is different from the account owner name. The account name is used in certain user communities to provide a means of identifying the account, in addition to the account owner's identity and the account number.\n"
        alternate_identification:
          $ref: '#/components/schemas/GenericIdentification'
      additionalProperties: false
      description: Provides the details to identify an account.
    CashAccountTypeChoice:
      type: object
      additionalProperties: true
      description: Nature or use of the account.
      oneOf:
      - required:
        - code
        type: object
        properties:
          code:
            maxLength: 4
            minLength: 1
            type: string
            description: "Account type, in a coded form. Specifies the nature, or use, of the cash account in the format of character string with a maximum length of 4 characters. The list of valid codes is an external code list published separately. External code sets can be downloaded from www.iso20022.org."
            x-MXComponent: ExternalCashAccountType1Code
        additionalProperties: false
      - required:
        - proprietary
        type: object
        properties:
          proprietary:
            maxLength: 35
            minLength: 1
            type: string
            description: Nature or use of the account in a proprietary form.
        additionalProperties: false
    ChargeBearerTypeCode:
      type: string
      description: |-
        Specifies which party(ies) will pay charges due for processing of the instruction.
        *`DEBT`-All transaction charges are to be borne by the debtor.
        *`CRED`-All transaction charges are to be borne by the creditor.
        *`SHAR`-In a credit transfer context, means that transaction charges on the sender side are to be borne by the debtor, transaction charges on the receiver side are to be borne by the creditor. In a direct debit context, means that transaction charges on the sender side are to be borne by the creditor, transaction charges on the receiver side are to be borne by the debtor.
        *`SLEV`-Charges are to be applied following the rules agreed in the service level and/or scheme.
      enum:
      - DEBT
      - CRED
      - SHAR
      - SLEV
    ClearingSystemIdentificationChoice:
      type: object
      additionalProperties: true
      description: Choice of a clearing system identifier.
      oneOf:
      - required:
        - code
        type: object
        properties:
          code:
            maxLength: 5
            minLength: 1
            type: string
            description: "Specifies the clearing system identification code, as published in an external clearing system identification code list. External code sets can be downloaded from www.iso20022.org.."
            x-MXComponent: ExternalClearingSystemIdentification1Code
        additionalProperties: false
      - required:
        - proprietary
        type: object
        properties:
          proprietary:
            maxLength: 35
            minLength: 1
            type: string
            description: "Identification code for a clearing system, that has not yet been identified in the list of clearing systems."
        additionalProperties: false
    ClearingSystemMemberIdentification:
      required:
      - member_identification
      type: object
      properties:
        clearing_system_identification:
          $ref: '#/components/schemas/ClearingSystemIdentificationChoice'
        member_identification:
          maxLength: 35
          minLength: 1
          type: string
          description: Identification of a member of a clearing system.
      additionalProperties: false
      description: "Unique identification, as assigned by a clearing system, to unambiguously identify a member of the clearing system."
    CodeOrProprietaryChoice:
      type: object
      additionalProperties: true
      description: Specifies the option of either code or a proprietary value.
      oneOf:
      - required:
        - code
        type: object
        properties:
          code:
            maxLength: 4
            minLength: 1
            type: string
            description: "Specifies the nature, or use, of the amount in the format of character string with a maximum length of 4 characters. The list of valid codes is an external code list published separately. External code sets can be downloaded from www.iso20022.org."
            x-MXComponent: ExternalServiceLevel1Code
        additionalProperties: false
      - required:
        - proprietary
        type: object
        properties:
          proprietary:
            maxLength: 35
            minLength: 1
            type: string
            description: Specifies a pre-agreed proprietary code when ISO external code is not available.
        additionalProperties: false
    CreditorReferenceDocumentTypeCode:
      type: string
      description: |-
        Specifies a type of financial or commercial document.
        *`RADM`-Document is a remittance advice sent separately from the current transaction.
        *`RPIN`-Document is a linked payment instruction to which the current payment instruction is related, for example, in a cover scenario.
        *`FXDR`-Document is a pre-agreed or pre-arranged foreign exchange transaction to which the payment transaction refers.
        *`DISP`-Document is a dispatch advice.
        *`PUOR`-Document is a purchase order.
        *`SCOR`-Document is a structured communication reference provided by the creditor to identify the referred transaction.
      enum:
      - RADM
      - RPIN
      - FXDR
      - DISP
      - PUOR
      - SCOR
    CurrencyAmount:
      required:
      - amount
      - currency_code
      type: object
      properties:
        currency_code:
          pattern: "^[A-Z]{3,3}$"
          type: string
          description: "ISO three character currency code.  The Currency Code must be registered, or have already been registered. Valid active or historic currency codes are registered with the ISO 4217 Maintenance Agency, consist of three (3) contiguous letters, and may be or not be withdrawn on the day the message containing the Currency is exchanged."
          x-MXComponent: ActiveOrHistoricCurrencyCode
          x-Validation: true
          x-ValidationType: "Algorithmic, ReferenceData"
          x-Error: "ErrorCode:Sw.Stds.D00006, ErrorText:Invalid currency code., SWIFTNetValidation:true, Severity:Fatal"
        amount:
          maxLength: 19
          pattern: "^0*(([0-9]{0,13}\\.[0-9]{1,5})|([0-9]{0,14}\\.[0-9]{1,4})|([0-9]{0,15}\\.[0-9]{1,3})|([0-9]{0,16}\\.[0-9]{1,2})|([0-9]{0,17}\\.[0-9]{1,1})|([0-9]{0,18}\\.)|0*|([0-9]{0,18}))$"
          type: string
          description: |
            The amount with fractional digit.  The number of fractional digits (or minor unit of currency) must comply with ISO 4217. Note: The decimal separator is a dot.
            Usage:
              minInclusive: 0
              totalDigits: 18
              fractionDigits: 5
          x-MXComponent: ActiveOrHistoricCurrencyAndAmount
          x-Validation: true
          x-ValidationType: Algorithmic
          x-Error: "ErrorCode:Sw.Stds.D00007, ErrorText:Too many decimal digits., SWIFTNetValidation:true  Severity:Fatal"
      additionalProperties: false
      description: "Amount of money to be moved between the debtor and creditor, before deduction of charges, expressed in the currency as ordered by the initiating party."
    DateAndPlaceOfBirth:
      required:
      - birth_date
      - city_of_birth
      - country_of_birth
      type: object
      properties:
        birth_date:
          $ref: '#/components/schemas/ISODate'
        province_of_birth:
          maxLength: 35
          minLength: 1
          type: string
          description: Province where a person was born.
        city_of_birth:
          maxLength: 35
          minLength: 1
          type: string
          description: City where a person was born.
        country_of_birth:
          pattern: "^[A-Z]{2,2}$"
          type: string
          description: Country where a person was born.
          x-Validation: true
          x-ValidationType: "Algorithmic, ReferenceData"
          x-Error: "ErrorCode:Sw.Stds.D00004, ErrorText:Invalid Country Code., SWIFTNetValidation:true,  Severity:Fatal"
      additionalProperties: false
      description: Date and place of birth of a person.
    DirectDebitInitiationInstruction:
      required:
      - creation_date_time
      - creditor_account
      - debtor
      - debtor_account
      - debtor_agent
      - end_to_end_identification
      - instructed_amount
      - mandate_information
      - requested_collection_date
      type: object
      properties:
        uetr:
          type: string
          description: |
            Unique end to end transaction reference of a payment. The type is Universally Unique Identifier (UUID) version 4, as described in IETC RFC 4122 "Universally Unique Identifier (UUID) URN Namespace".
          format: uuid
          readOnly: true
        end_to_end_identification:
          maxLength: 35
          minLength: 1
          type: string
          description: |
            Unique identification, as assigned by the initiating party, to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain. Usage: The end-to-end identification can be used for reconciliation or to link tasks relating to the transaction. It can be included in several messages related to the transaction. Usage: This is the former related reference.
        creation_date_time:
          $ref: '#/components/schemas/ISODateTime'
        payment_instructionlifecycle_status:
          type: string
          description: |
            Specifies the state of a Payment Instruction in its processing cycle.

            *`ACCC`-Settlement on the creditor's account has been completed.
            *`ACCP`-Preceding check of technical validation was successful. Customer profile check was also successful.
            *`ACSC`-Settlement has been completed.
            *`ACSP`-All preceding checks such as technical validation and customer profile were successful and therefore the payment initiation has been accepted for execution.
            *`ACTC`-Authentication and syntactical and semantical validation are successful
            *`ACWC`-Instruction is accepted but a change will be made, such as date or remittance not sent.
            *`ACWP`-Payment instruction included in the credit transfer is accepted without being posted to the creditor customer’s account.
            *`PDNG`-Payment initiation is pending. Further checks and status update will be performed.
            *`RCVD`-Payment initiation has been received by the receiving agent.
            *`RJCT`-Payment initiation has been rejected.
          readOnly: true
          enum:
          - ACCC
          - ACCP
          - ACSC
          - ACSP
          - ACTC
          - ACWC
          - ACWP
          - PDNG
          - RCVD
          - RJCT
        status_reason:
          $ref: '#/components/schemas/ExternalStatusReasonCode'
        sequence_type:
          $ref: '#/components/schemas/SequenceTypeCode'
        requested_collection_date:
          $ref: '#/components/schemas/ISODate'
        initiating_party:
          $ref: '#/components/schemas/PartyIdentification'
        debtor_account:
          $ref: '#/components/schemas/CashAccount'
        debtor:
          $ref: '#/components/schemas/PartyIdentification'
        debtor_agent:
          $ref: '#/components/schemas/FinancialInstitutionIdentification'
        instructed_amount:
          $ref: '#/components/schemas/CurrencyAmount'
        creditor_agent:
          $ref: '#/components/schemas/FinancialInstitutionIdentification'
        creditor_agent_account:
          $ref: '#/components/schemas/CashAccount'
        creditor:
          $ref: '#/components/schemas/PartyIdentification'
        creditor_account:
          $ref: '#/components/schemas/CashAccount'
        purpose:
          maxLength: 4
          minLength: 1
          type: string
          description: "Underlying reason for the payment transaction. Usage: Purpose is used by the end-customers, that is initiating party, (ultimate) debtor, (ultimate) creditor to provide information concerning the nature of the payment. Purpose is a content element, which is not used for processing by any of the agents involved in the payment chain."
          x-MXComponent: ExternalPurpose1Code
        mandate_information:
          $ref: '#/components/schemas/MandateInformation'
      additionalProperties: false
      description: |
        Payment, initiated by the creditor, to debit a debtor's account in favour of the creditor. The  Direct Debit Initiation Instruction is sent by the Creditor sending party to the Debtor receiving party, directly or through agents. It is used by a Creditor to request funds from the debtor account to a creditor.

        A direct debit can be pre-authorised or not. In most countries, authorisation is in the form of a mandate between the debtor and creditor.
    DirectDebitInitiationInstructionSummary:
      required:
      - creation_date_time
      - creditor_account
      - debtor
      - debtor_account
      - debtor_agent
      - end_to_end_identification
      - instructed_amount
      - mandate_information
      - requested_collection_date
      type: object
      properties:
        uetr:
          type: string
          description: |
            Unique end to end transaction reference of a payment. The type is Universally Unique Identifier (UUID) version 4, as described in IETC RFC 4122 "Universally Unique Identifier (UUID) URN Namespace".
          format: uuid
          readOnly: true
        end_to_end_identification:
          maxLength: 35
          minLength: 1
          type: string
          description: |
            Unique identification, as assigned by the initiating party, to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain. Usage: The end-to-end identification can be used for reconciliation or to link tasks relating to the transaction. It can be included in several messages related to the transaction. Usage: This is the former related reference.
        creation_date_time:
          $ref: '#/components/schemas/ISODateTime'
        payment_instructionlifecycle_status:
          type: string
          description: |
            Specifies the state of a Payment Instruction in its processing cycle.

            *`ACCC`-Settlement on the creditor's account has been completed.
            *`ACCP`-Preceding check of technical validation was successful. Customer profile check was also successful.
            *`ACSC`-Settlement has been completed.
            *`ACSP`-All preceding checks such as technical validation and customer profile were successful and therefore the payment initiation has been accepted for execution.
            *`ACTC`-Authentication and syntactical and semantical validation are successful
            *`ACWC`-Instruction is accepted but a change will be made, such as date or remittance not sent.
            *`ACWP`-Payment instruction included in the credit transfer is accepted without being posted to the creditor customer’s account.
            *`PDNG`-Payment initiation is pending. Further checks and status update will be performed.
            *`RCVD`-Payment initiation has been received by the receiving agent.
            *`RJCT`-Payment initiation has been rejected.
          readOnly: true
          enum:
          - ACCC
          - ACCP
          - ACSC
          - ACSP
          - ACTC
          - ACWC
          - ACWP
          - PDNG
          - RCVD
          - RJCT
        sequence_type:
          $ref: '#/components/schemas/SequenceTypeCode'
        category_purpose:
          maxLength: 4
          minLength: 1
          type: string
          description: "Specifies the high level purpose of the instruction based on a set of pre-defined categories.  Usage: This is used by the initiating party to provide information concerning the processing of the payment. It is likely to trigger special processing by any of the agents involved in the payment chain."
          x-MXComponent: ExternalCategoryPurpose1Code
        requested_collection_date:
          $ref: '#/components/schemas/ISODate'
        payment_condition:
          $ref: '#/components/schemas/PaymentCondition'
        initiating_party:
          $ref: '#/components/schemas/PartyIdentification'
        debtor_account:
          $ref: '#/components/schemas/CashAccount'
        debtor:
          $ref: '#/components/schemas/PartyIdentification'
        debtor_agent:
          $ref: '#/components/schemas/FinancialInstitutionIdentification'
        instructed_amount:
          $ref: '#/components/schemas/CurrencyAmount'
        creditor_agent:
          $ref: '#/components/schemas/FinancialInstitutionIdentification'
        creditor_agent_account:
          $ref: '#/components/schemas/CashAccount'
        creditor:
          $ref: '#/components/schemas/PartyIdentification'
        creditor_account:
          $ref: '#/components/schemas/CashAccount'
        purpose:
          maxLength: 4
          minLength: 1
          type: string
          description: "Underlying reason for the payment transaction. Usage: Purpose is used by the end-customers, that is initiating party, (ultimate) debtor, (ultimate) creditor to provide information concerning the nature of the payment. Purpose is a content element, which is not used for processing by any of the agents involved in the payment chain."
          x-MXComponent: ExternalPurpose1Code
        mandate_information:
          $ref: '#/components/schemas/MandateInformation'
      additionalProperties: false
      description: "Payment, initiated by the creditor, to debit a debtor's account in favour of the creditor. The  Direct Debit Initiation Instruction is sent by the Creditor sending party to the Debtor receiving party, directly or through agents. It is used by a Creditor to request funds from the debtor account to a creditor. A direct debit can be pre-authorised or not. In most countries, authorisation is in the form of a mandate between the debtor and creditor."
    DocumentTypeCode:
      type: string
      description: |-
        Specifies a type of financial or commercial document.
        *`MSIN`-Document is an invoice claiming payment for the supply of metered services, for example gas or electricity supplied to a fixed meter.
        *`CNFA`-Document is a credit note for the final amount settled for a commercial transaction.
        *`DNFA`-Document is a debit note for the final amount settled for a commercial transaction.
        *`CINV`-Document is an invoice.
        *`CREN`-Document is a credit note.
        *`DEBN`-Document is a debit note.
        *`HIRI`-Document is an invoice for the hiring of human resources or renting goods or equipment.
        *`SBIN`-Document is an invoice issued by the debtor.
        *`RADM`-Document is a remittance advice sent separately from the current transaction.
        *`RPIN`-Document is a linked payment instruction to which the current payment instruction is related, for example, in a cover scenario.
        *`CMCN`-Document is an agreement between the parties, stipulating the terms and conditions of the delivery of goods or services.
        *`FXDR`-Document is a pre-agreed or pre-arranged foreign exchange transaction to which the payment transaction refers.
        *`SOAC`-Document is a statement of the transactions posted to the debtor's account at the supplier.
        *`DISP`-Document is a dispatch advice.
        *`PUOR`-Document is a purchase order.
        *`SCOR`-Document is a structured communication reference provided by the creditor to identify the referred transaction.
        *`BOLD`-Document is a shipping notice.
        *`VCHR`-Document is an electronic payment document.
        *`AROI`-Document is a payment that applies to a specific source document.
        *`TSUT`-Document is a transaction identifier as assigned by the Trade Services Utility.
      enum:
      - MSIN
      - CNFA
      - DNFA
      - CINV
      - CREN
      - DEBN
      - HIRI
      - SBIN
      - RADM
      - RPIN
      - CMCN
      - FXDR
      - SOAC
      - DISP
      - PUOR
      - SCOR
      - BOLD
      - VCHR
      - AROI
      - TSUT
    EquivalentAmount:
      required:
      - amount
      - currency_of_transfer
      type: object
      properties:
        amount:
          $ref: '#/components/schemas/CurrencyAmount'
        currency_of_transfer:
          pattern: "^[A-Z]{3,3}$"
          type: string
          description: "Specifies the currency of the to be transferred amount, which is different from the currency of the debtor's account."
          x-MXComponent: ActiveOrHistoricCurrencyCode
          x-Validation: true
          x-ValidationType: "Algorithmic, ReferenceData"
          x-Error: "ErrorCode:Sw.Stds.D00006, ErrorText:Invalid currency code., SWIFTNetValidation:true, Severity:Fatal"
      additionalProperties: false
      description: "Amount of money to be moved between the debtor and creditor, expressed in the currency of the debtor's account, and the currency in which the amount is to be moved."
    ExchangeRate:
      required:
      - unit_currency
      type: object
      properties:
        unit_currency:
          pattern: "^[A-Z]{3,3}$"
          type: string
          description: Currency in which the rate of exchange is expressed in a currency exchange.
        exchange_rate:
          $ref: '#/components/schemas/BaseOneRate'
        rate_type:
          $ref: '#/components/schemas/ExchangeRateTypeCode'
        contract_identification:
          maxLength: 35
          minLength: 1
          type: string
          description: Unique and unambiguous reference to the foreign exchange contract agreed between the initiating party/creditor and the debtor agent.
      additionalProperties: false
      description: Provides details on the currency exchange rate and contract.
    ExchangeRateTypeCode:
      type: string
      description: |-
        Code used to define the type of the currency exchange.
        *`SPOT`-Exchange rate applied is the spot rate.
        *`SALE`-Exchange rate applied is the market rate at the time of the sale.
        *`AGRD`-Exchange rate applied is the rate agreed between the parties.
      enum:
      - SPOT
      - SALE
      - AGRD
    ExternalStatusReasonCode:
      maxLength: 4
      minLength: 1
      type: string
      description: "Specifies the status reason, as published in an external status reason code list. External code sets can be downloaded from www.iso20022.org."
      x-MXComponent: ExternalStatusReason1Code
    FinancialInstitutionIdentification:
      type: object
      properties:
        bicfi:
          pattern: "^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$"
          type: string
          description: Code allocated to a financial institution by the ISO 9362 Registration Authority as described in ISO 9362 "Banking - Banking telecommunication messages - Business identifier code (BIC)".
          x-MXComponent: BICFIDec2014Identifier
          x-Validation: true
          x-ValidationType: Algorithmic
          x-Error: "ErrorCode:Sw.Stds.D00008, ErrorText:Invalid BIC., SWIFTNetValidation:true  Severity:Fatal"
        clearing_system_member_identification:
          $ref: '#/components/schemas/ClearingSystemMemberIdentification'
        lei:
          pattern: "^[A-Z0-9]{18,18}[0-9]{2,2}$"
          type: string
          description: Legal entity identifier of the financial institution. Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".
          x-MXComponent: LEIIdentifier
        name:
          maxLength: 140
          minLength: 1
          type: string
          description: Name by which an agent is known and which is usually used to identify that agent.
        postal_address:
          $ref: '#/components/schemas/PostalAddressChoice'
        other:
          $ref: '#/components/schemas/GenericIdentification'
      additionalProperties: false
      description: Specifies the details to identify a financial institution.
    GenericIdentification:
      required:
      - identification
      type: object
      properties:
        identification:
          maxLength: 35
          minLength: 1
          type: string
          description: "Proprietary information, often a code, issued by the data source scheme issuer."
        scheme_name:
          maxLength: 35
          minLength: 1
          type: string
          description: Short textual description of the scheme.
        issuer:
          maxLength: 35
          minLength: 1
          type: string
          description: Entity that assigns the identification.
      additionalProperties: false
      description: "Information related to an identification, for example, party identification or account identification."
    GenericOrganisationIdentification:
      required:
      - identification
      type: object
      properties:
        identification:
          maxLength: 35
          minLength: 1
          type: string
          description: Identification assigned by an institution.
        scheme_name:
          $ref: '#/components/schemas/OrganisationIdentificationSchemeNameChoice'
        issuer:
          maxLength: 35
          minLength: 1
          type: string
          description: Entity that assigns the identification.
      additionalProperties: false
      description: Information related to an identification of an organisation.
    GenericPersonIdentification:
      required:
      - identification
      type: object
      properties:
        identification:
          maxLength: 35
          minLength: 1
          type: string
          description: Unique and unambiguous identification of a person.
        scheme_name:
          $ref: '#/components/schemas/PersonIdentificationSchemeNameChoice'
        issuer:
          maxLength: 35
          minLength: 1
          type: string
          description: Entity that assigns the identification.
      additionalProperties: false
      description: Information related to an identification of a person.
    ISODate:
      pattern: "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)(?:Z|[+-][01]\\d:[0-5]\\d)?$"
      type: string
      description: A particular point in the progression of time in a calendar year expressed in the YYYY-MM-DD format.
    ISODateTime:
      pattern: "^(?:[1-9]\\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)T(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.[0-9]+)?(?:Z|[+-][01]\\d:[0-5]\\d)?$"
      type: string
      description: |-
        A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss).
        Note on the time format:
        1) beginning / end of calendar day
        00:00:00 = the beginning of a calendar day
        24:00:00 = the end of a calendar day
        2) fractions of second in time format
        Decimal fractions of seconds may be included. In this case, the involved parties shall agree on the maximum number of digits that are allowed.
    MandateInformation:
      required:
      - mandate_identification
      type: object
      properties:
        mandate_identification:
          maxLength: 35
          minLength: 1
          type: string
          description: Unique and unambiguous identification of the mandate. This id is used to verify that the requester has authorisation to request payment. This is to ensure that the request is being sent as a result of preauthorisation so that the involved parties know to check/validate the preauthorisation is valid for the request.
        date_of_signature:
          $ref: '#/components/schemas/ISODate'
      additionalProperties: false
      description: Provides further details related to a direct debit mandate signed between the creditor and the debtor.
    OrganisationIdentification:
      type: object
      properties:
        bic:
          pattern: "^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$"
          type: string
          description: |
            Business identification code of the organisation. Code allocated to a financial or non-financial institution by the ISO 9362 Registration Authority, as described in ISO 9362: 2014 - "Banking - Banking telecommunication messages - Business identifier code (BIC)".
          x-MXComponent: AnyBICDec2014Identifier
          x-Validation: true
          x-ValidationType: Algorithmic
          x-Error: "ErrorCode:Sw.Stds.D00008, ErrorText:Invalid BIC., SWIFTNetValidation:true  Severity:Fatal"
        lei:
          pattern: "^[A-Z0-9]{18,18}[0-9]{2,2}$"
          type: string
          description: Legal entity identification as an alternate identification for a party.
          x-MXComponent: LEIIdentifier
        other:
          maxItems: 2
          type: array
          items:
            $ref: '#/components/schemas/GenericOrganisationIdentification'
      additionalProperties: false
      description: Unique and unambiguous way to identify an organisation.
    OrganisationIdentificationSchemeNameChoice:
      type: object
      additionalProperties: true
      description: Sets of elements to identify a name of the organisation identification scheme.
      oneOf:
      - required:
        - code
        type: object
        properties:
          code:
            maxLength: 4
            minLength: 1
            type: string
            description: Specifies the external organisation identification scheme name code in the format of character string with a maximum length of 4 characters. The list of valid codes is an external code list published separately. External code sets can be downloaded from www.iso20022.org.
            x-MXComponent: ExternalOrganisationIdentification1Code
        additionalProperties: false
      - required:
        - proprietary
        type: object
        properties:
          proprietary:
            maxLength: 35
            minLength: 1
            type: string
            description: "Name of the identification scheme, in a free text form."
        additionalProperties: false
    PartyIdentification:
      type: object
      properties:
        name:
          maxLength: 140
          minLength: 1
          type: string
          description: Name by which a party is known and which is usually used to identify that party.
        postal_address:
          $ref: '#/components/schemas/PostalAddressChoice'
        identification:
          $ref: '#/components/schemas/PartyIdentificationChoice'
        country_of_residence:
          pattern: "^[A-Z]{2,2}$"
          type: string
          description: "Country in which a person resides (the place of a person's home). In the case of a company, it is the country from which the affairs of that company are directed."
          x-Validation: true
          x-ValidationType: "Algorithmic, ReferenceData"
          x-Error: "ErrorCode:Sw.Stds.D00004, ErrorText:Invalid Country Code., SWIFTNetValidation:true,  Severity:Fatal"
      additionalProperties: false
      description: Specifies the identification of a person or an organisation.
    PartyIdentificationChoice:
      type: object
      additionalProperties: true
      description: Identify the type of party identification as either organisation identification or individual identification.
      oneOf:
      - required:
        - organisation_identification
        type: object
        properties:
          organisation_identification:
            $ref: '#/components/schemas/OrganisationIdentification'
        additionalProperties: false
      - required:
        - private_identification
        type: object
        properties:
          private_identification:
            $ref: '#/components/schemas/PersonIdentification'
        additionalProperties: false
    PaymentCondition:
      required:
      - amount_modification_allowed
      - early_payment_allowed
      - guaranteed_payment_requested
      type: object
      properties:
        amount_modification_allowed:
          type: boolean
          description: Indicates if the debtor is allowed to pay a different amount then the requested amount.
        early_payment_allowed:
          type: boolean
          description: Indicates if the debtor is allowed to pay before the requested execution date.
        delay_penalty:
          maxLength: 140
          minLength: 1
          type: string
          description: "Penalty to be applied for a delayed payment, that is when the payment is made after the requested execution date."
        immediate_payment_rebate:
          $ref: '#/components/schemas/AmountOrRateChoice'
        guaranteed_payment_requested:
          type: boolean
          description: "Indicates if a payment guarantee is requested, assuming a payment guarantee contract exists between the different actors."
      additionalProperties: false
      description: Specifies the conditions for the execution of the payment.
    PaymentInitiationInstruction:
      required:
      - amount
      - creation_date_time
      - creditor_account
      - debtor
      - debtor_account
      - debtor_agent
      - end_to_end_identification
      - payment_method
      - requested_execution_date
      type: object
      properties:
        uetr:
          type: string
          description: |
            Unique end to end transaction reference of a payment. The type is Universally Unique Identifier (UUID) version 4, as described in IETC RFC 4122 "Universally Unique Identifier (UUID) URN Namespace".
          format: uuid
          readOnly: true
        end_to_end_identification:
          maxLength: 35
          minLength: 1
          type: string
          description: |
            Unique identification, as assigned by the initiating party, to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain. Usage: The end-to-end identification can be used for reconciliation or to link tasks relating to the transaction. It can be included in several messages related to the transaction. Usage: This is the former related reference.
        creation_date_time:
          $ref: '#/components/schemas/ISODateTime'
        payment_instructionlifecycle_status:
          type: string
          description: |
            Specifies the state of a Payment Instruction in its processing cycle.

            *`ACCC`-Settlement on the creditor's account has been completed.
            *`ACCP`-Preceding check of technical validation was successful. Customer profile check was also successful.
            *`ACSC`-Settlement has been completed.
            *`ACSP`-All preceding checks such as technical validation and customer profile were successful and therefore the payment initiation has been accepted for execution.
            *`ACTC`-Authentication and syntactical and semantical validation are successful
            *`ACWC`-Instruction is accepted but a change will be made, such as date or remittance not sent.
            *`ACWP`-Payment instruction included in the credit transfer is accepted without being posted to the creditor customer’s account.
            *`PDNG`-Payment initiation is pending. Further checks and status update will be performed.
            *`RCVD`-Payment initiation has been received by the receiving agent.
            *`RJCT`-Payment initiation has been rejected.
          readOnly: true
          enum:
          - ACCC
          - ACCP
          - ACSC
          - ACSP
          - ACTC
          - ACWC
          - ACWP
          - PDNG
          - RCVD
          - RJCT
        status_reason:
          $ref: '#/components/schemas/ExternalStatusReasonCode'
        payment_method:
          type: string
          description: Specifies the means of payment that will be used to move the amount of money.
          enum:
          - TRF
        instruction_priority:
          type: string
          description: |
            Indicator of the urgency or order of importance that the instructing party would like the instructed party to apply to the processing of the instruction.

            Specifies the priority level of an event.
            *`HIGH`-Priority level is high.
            *`NORM`-Priority level is normal.
          enum:
          - HIGH
          - NORM
        service_level:
          maxItems: 3
          uniqueItems: true
          type: array
          description: Agreement under which or rules under which the transaction should be processed.
          items:
            maxLength: 4
            minLength: 1
            type: string
          x-MXComponent: ExternalServiceLevel1Code
        local_instrument:
          $ref: '#/components/schemas/CodeOrProprietaryChoice'
        category_purpose:
          maxLength: 4
          minLength: 1
          type: string
          description: "Specifies the high level purpose of the instruction based on a set of pre-defined categories.  Usage: This is used by the initiating party to provide information concerning the processing of the payment. It is likely to trigger special processing by any of the agents involved in the payment chain."
          x-MXComponent: ExternalCategoryPurpose1Code
        requested_execution_date:
          description: "Date at which the initiating party requests the clearing agent to process the payment.  \nUsage: This is the date on which the debtor''s account is to be debited. If payment by cheque, the date when the cheque must be generated by the bank.\n"
          oneOf:
          - $ref: '#/components/schemas/ISODateTime'
          - $ref: '#/components/schemas/ISODate'
        ultimate_debtor:
          $ref: '#/components/schemas/PartyIdentification'
        initiating_party:
          $ref: '#/components/schemas/PartyIdentification'
        debtor_account:
          $ref: '#/components/schemas/CashAccount'
        debtor:
          $ref: '#/components/schemas/PartyIdentification'
        debtor_agent:
          $ref: '#/components/schemas/FinancialInstitutionIdentification'
        charge_bearer:
          $ref: '#/components/schemas/ChargeBearerTypeCode'
        amount:
          $ref: '#/components/schemas/AmountTypeChoice'
        exchange_rate_information:
          $ref: '#/components/schemas/ExchangeRate'
        creditor_agent:
          $ref: '#/components/schemas/FinancialInstitutionIdentification'
        creditor_agent_account:
          $ref: '#/components/schemas/CashAccount'
        creditor:
          $ref: '#/components/schemas/PartyIdentification'
        creditor_account:
          $ref: '#/components/schemas/CashAccount'
        ultimate_creditor:
          $ref: '#/components/schemas/PartyIdentification'
        purpose:
          maxLength: 4
          minLength: 1
          type: string
          description: "Underlying reason for the payment transaction. Usage: Purpose is used by the end-customers, that is initiating party, (ultimate) debtor, (ultimate) creditor to provide information concerning the nature of the payment. Purpose is a content element, which is not used for processing by any of the agents involved in the payment chain."
          x-MXComponent: ExternalPurpose1Code
        regulatory_reporting:
          maxItems: 10
          type: array
          description: Information needed due to regulatory and statutory requirements.
          items:
            $ref: '#/components/schemas/RegulatoryReporting'
        related_remittance_information:
          $ref: '#/components/schemas/RemittanceDeliveryMethod'
        remittance_information:
          $ref: '#/components/schemas/RemittanceInformationChoice'
      additionalProperties: false
      description: |
        Instruction to pay an amount of money to an ultimate beneficiary, on behalf of an originator. This instruction is the first of the series of instructions which may be used to execute a payment. It is normally sent by the initiating party to the debtor's agent.
    PaymentInitiationInstructionSummary:
      required:
      - amount
      - creditor_account
      - debtor
      - debtor_account
      - debtor_agent
      - end_to_end_identification
      - payment_method
      - requested_execution_date
      type: object
      properties:
        uetr:
          type: string
          description: |
            Unique end to end transaction reference of a payment. The type is Universally Unique IDentifier (UUID) version 4, as described in IETC RFC 4122 "Universally Unique IDentifier (UUID) URN Namespace".
          format: uuid
          readOnly: true
        end_to_end_identification:
          maxLength: 35
          minLength: 1
          type: string
          description: "Unique identification, as assigned by the initiating party, to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain. \n\nUsage: The End-to-End ID is intended as a unique identifier exchanged between the debtor and creditor. The end-to-end identification can be used for reconciliation or to link tasks relating to the transaction. \n"
        creation_date_time:
          $ref: '#/components/schemas/ISODateTime'
        payment_instructionlifecycle_status:
          type: string
          description: |-
            Specifies the state of a Payment Instruction in its processing cycle.

            *`ACCC`-Settlement on the creditor's account has been completed.
            *`ACCP`-Preceding check of technical validation was successful. Customer profile check was also successful.
            *`ACSC`-Settlement has been completed.
            *`ACSP`-All preceding checks such as technical validation and customer profile were successful and therefore the payment initiation has been accepted for execution.
            *`ACTC`-Authentication and syntactical and semantical validation are successful
            *`ACWC`-Instruction is accepted but a change will be made, such as date or remittance not sent.
            *`ACWP`-Payment instruction included in the credit transfer is accepted without being posted to the creditor customer’s account.
            *`PDNG`-Payment initiation is pending. Further checks and status update will be performed.
            *`RCVD`-Payment initiation has been received by the receiving agent.
            *`RJCT`-Payment initiation has been rejected.
          readOnly: true
          enum:
          - ACCC
          - ACCP
          - ACSC
          - ACSP
          - ACTC
          - ACWC
          - ACWP
          - PDNG
          - RCVD
          - RJCT
        payment_method:
          type: string
          description: Specifies the means of payment that will be used to move the amount of money.
          enum:
          - TRF
        instruction_priority:
          type: string
          description: |
            Indicator of the urgency or order of importance that the instructing party would like the instructed party to apply to the processing of the instruction.

            Specifies the priority level of an event.
            *`HIGH`-Priority level is high.
            *`NORM`-Priority level is normal.
          enum:
          - HIGH
          - NORM
        service_level:
          maxItems: 3
          type: array
          description: Agreement under which or rules under which the transaction should be processed.
          items:
            maxLength: 4
            minLength: 1
            type: string
          x-MXComponent: ExternalServiceLevelCode
        local_instrument:
          $ref: '#/components/schemas/CodeOrProprietaryChoice'
        category_purpose:
          maxLength: 4
          minLength: 1
          type: string
[...]
